Bug 5980 - OPAC : Adding location to search indexes in search pages
Summary: OPAC : Adding location to search indexes in search pages
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.4
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Paul Poulain
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 5584
  Show dependency treegraph
 
Reported: 2011-03-28 21:13 UTC by Chris Cormack
Modified: 2013-12-05 20:01 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (1.77 KB, patch)
2011-03-28 21:24 UTC, Chris Cormack
Details | Diff | Splinter Review
Amend original patch - change Location to Shelving Location (1.85 KB, patch)
2011-04-05 10:10 UTC, Magnus Enger
Details | Diff | Splinter Review
signed off patch (1.93 KB, patch)
2011-04-05 13:18 UTC, claire.hernandez@biblibre.com
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2011-03-28 21:13:21 UTC

    
Comment 1 Chris Cormack 2011-03-28 21:24:18 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2011-03-28 23:30:51 UTC
Is location 'shelving location' if so, it should say so since there are many locations it could be - branch location, owning branch location, etc.
Comment 3 Magnus Enger 2011-04-05 09:58:48 UTC
The "location" index is derived from 952$c, "Shelving location code", so in a default setup what is actually searched is the codes from the authorized value list 'LOC'. 

Changing the label to "Shelving location" sounds like a good idea, I have done a followup patch for that, will attach it in a moment.
Comment 4 Magnus Enger 2011-04-05 10:10:09 UTC
Created attachment 3662 [details] [review]
Amend original patch - change Location to Shelving Location
Comment 5 claire.hernandez@biblibre.com 2011-04-05 13:18:34 UTC
Created attachment 3687 [details] [review]
signed off patch
Comment 6 claire.hernandez@biblibre.com 2011-04-05 13:19:02 UTC
Ok for me, patch signed off attached.
Comment 7 MJ Ray (software.coop) 2011-04-09 09:25:26 UTC
This bug is mentioned in:
Bug 5980 : Adding location to search indexes http://lists.koha-community.org/pipermail/koha-patches/2011-March/014299.html
Comment 8 Chris Cormack 2011-04-09 09:52:37 UTC
Pushed, please test